Name:           sopel
Version:        8.0.0
Release:        %autorelease
Summary:        Sopel is a simple, lightweight, open source, easy-to-use IRC Utility bot.

License:        EFL-2.0
URL:            https://sopel.chat/
Source0:        %{pypi_source sopel}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

Patch0:         0001-remove-version-specifiers-from-pyproject.patch
Patch1:         0002-mark-wiktionary-example-as-online.patch   

%global _description %{expand:
Sopel is a simple, lightweight, open source, easy-to-use IRC Utility bot, written in Python. It’s designed to be easy to use, run and extend.
}

%description %_description

%prep
%autosetup -p1 -n sopel-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sopel

# TODO run pytest
%check
%pyproject_check_import
%pytest -ra -m "not online and not wiktionary" --pyargs sopel

%files -n sopel -f %{pyproject_files}
%doc README.rst
%{_bindir}/sopel
%{_bindir}/sopel-config
%{_bindir}/sopel-plugins

%changelog
%autochangelog
